//---------------------------------------------------------------------------
#ifndef hardwareH
#define hardwareH

/* Funciones de control del hardware */
#include <inh8.h> 
 

sfr P1=		0xFFFF60;
sfr P2=		0xFFFF61;
sfr P3= 	0xFFFF62;
sfr P4=		0xFFFF63;
sfr P5=		0xFFFF64;
sfr P6=		0xFFFF65;
sfr PA=		0xFFFF69;
sfr PB=		0xFFFF6A;
sfr PC=		0xFFFF6B;
sfr PD=		0xFFFF6C;
sfr PE=		0xFFFF6D;
sfr PF=		0xFFFF6E;   
sfr I_ER=	0xFFFF2E; 
sfr PORT_4=  0xFFFF53;   


//sfr P1DDR1=	0xFFFEB0; 
sfr P1DR1=0xFFFF60;
//sfr P1DDR6=	0xFFFEB5;  
sfr P3DDR3= 0xFFFEB2;     //registro para direccionar el puerto 3.4 como entrada o salida
sfr P3DR3= 0xFFFF62;      //registro para colocar el dato de salida del puerto 3
sfr P3ODR3= 0xFFFF76; 	//Tipo de output in opendrain
sfr P3ORT3= 0xFFFF52;    //registro para leer los datos del puerto 3

sfr PORT_1= 0xFFFF50;    //para leer el dato de entrada //Error
sfr P5DDR1		=0xFFFEB4; 
//Para el teclado 

//sfr iCOLS		=0xFFFE53;
//sfr P5DR1		=0xFFFF64;

//#define TPU0_TGR0A           (* (volatile unsigned char huge *) (0xFFFFD8))
//#define TPU0_TGR0B           (* (volatile unsigned char huge *) (0xFFFFDA))

//bit oRS485_DE	=P5DDR1.3;
//bit	RS485_DE	=P5DR1.3;
//bit oRS485_DE=P1DDR1.5; 
bit	RS485_DE	=P1DR1.5;   
  
//bit P1_DDR_6	=P1DDR1.6;
bit P1_DR_6=P1DR1.6;

//bit oEthernet_AEN=P1DDR1.7;     /*Address Enable pin del chip Cs8900A, tiene que estar en bajo*/
bit	Ethernet_AEN=P1DR1.7;     	/*para poder hablar con el chip en modo memory o modo I/O*/

//99//99//99 TEST Puertos
sfr P1DDR1=0xFFFEB0;
bit AEN_output=P1DDR1.7;
bit AEN_input= PORT_1.7;    
bit SCL_output=P1DDR1.6;
//bit P3DDR3_4=P3DDR3.4;
//99//99//99 TEST Puertos


#define P3DDR_4 P3DDR3.4
bit P3DR_4=P3DR3.4;	//TxD0 output data 
bit P3ODR_4=P3ODR3.4; 
bit PORT3_4=P3ORT3.4;
bit PORT_1_6=PORT_1.6;
//Para el teclado
/*bit oFIL1 = P6DDR1.5;  				//Para que funcione como entradas o salidas
bit oFIL2 = P6DDR1.6;
bit oFIL3 = P6DDR1.7;    

bit oFIL1_output = P6DR1.5;           //para dar el valor de salida
bit oFIL2_output = P6DR1.6;
bit oFIL3_output = P6DR1.7;     
  */


#define oBUZZER     P1.1
#define oVANA       P1.3

//bit oCOUT= 	P1.7;
//bit oCALIM= P1.6;
//bit oKOUT= 	P1.5;  
bit oDTR=	P5.2;  
bit oDSR=	P5.3;

//bit oCOUT_output= P1DDR1.7; 
//bit oKOUT_output= P1DDR1.5;
bit oDTR_output=  P5DDR1.2;   
bit oDSR_output=  P5DDR1.3;

//bit iCIN_input= P1DDR6.5; 
//bit iKIN_input= P1DDR6.4;

//sfr iPORT6= 0xFFFF55;
//bit iCIN_= iPORT6.5;
//bit iKIN_= iPORT6.4;

sfr sfrSBYCR=		0xFFFF38;
 
#define SSBY sfrSBYCR.7

//sfr sfrIER=		0xFFFF2E;
//#define fIRQ1E sfrIER.1
//#define fIRQ0E sfrIER.0
                
//sfr sfrISR=		0xFFFF2F;
//#define fIRQ1F sfrISR.1
//#define fIRQ0F sfrISR.0   

//sfr P6DDR_=0xFFFEB5;

//#define iCIN_IO P6DDR_.5
//#define iKIN_IO P6DDR_.4  
//#define P6_6_IO	P6DDR_.6   

//#define IRQ2E I_ER.2
//#define EnableIRQ2  P6_6_IO=0; IRQ2E=1;
//#define DisableIRQ2 P6_6_IO=0; IRQ2E=0;    

extern void RefHard (void);      
//extern void PowerDown (void); 
extern void PowerUp(void);  
extern void Set_oDTR(unsigned char output);   
extern void Set_oDSR(unsigned char output);   
extern unsigned char IsClearPressed(void);
extern void SetPruebaCondensadores(unsigned char ucPrueba);
extern unsigned char GetPruebaCondensadores(void);
extern unsigned char GetCentralApagada(void);


#endif
